cc.Class({
    extends: cc.Component,

    properties: {
        GameFavorableImpressionInsideMask: {
            default: null,
            type: cc.Node,
            serializable: true,
        },
    },
    setPercentage(percentage)
    {
        this.node.getComponent(cc.Label).string = percentage;
        let HeartProgressBarController = this.GameFavorableImpressionInsideMask.getComponent('HeartProgressBarController');
        HeartProgressBarController.setPercentage(percentage);
    }
});
